<?php

if(!defined('EXT'))
{
	exit('Invalid file request');
}

class entry_notifier
{
	var $settings        = array();
	var $name            = 'New Entries Reminder';
	var $version         = '1.0.0';
	var $description     = 'Remind of closed entries.';
	var $settings_exist  = 'n';
	var $docs_url        = '';


	// -------------------------------
	//   Constructor - Extensions use this for settings
	// -------------------------------

	function entry_notifier($settings='')
	{
	    $this->settings = $settings;
	}
	// END


	function show_full_control_panel_end($out)
	{
		global $EXT, $DB, $PREFS, $LANG, $DSP;

		if($EXT->last_call !== FALSE)
		{
			$out = $EXT->last_call;
		}

		// First, check to see if we have permission to moderate comments
		if($DSP->allowed_group('can_edit_other_entries'))
		{
			// Next, make sure we're not already on the moderation screen
			if(isset($_GET['M']) && $_GET['M'] == 'view_entries'
				&& isset($_GET['status']) && $_GET['status'] == 'closed')
				return $out;

			// Check for closed comments
			$query = $DB->query("
				SELECT count(entry_id) AS count
				FROM exp_weblog_titles
				WHERE status = 'closed'
				AND site_id = '".$DB->escape_str($PREFS->ini('site_id')) ."'
			");
			$total = $query->row['count'];

			// Lastly, only display the notice if there are comments to moderate
			if($total)
			{
				$LANG->fetch_language_file('entry_notifier');
				$find= "<div id='contentNB'>";
				$replace = "
				<div id='contentNB'>
				<div class='box'>
					<span class='highlight_bold'>".$LANG->line('entries')." (".$total.") ".$c_word." ".$LANG->line('moderation_require').". </span>
					<a href='".BASE.AMP."C=edit&amp;M=view_entries&amp;status=closed'>".
					$LANG->line('click_to_moderate').
					".</a>
					</span>
				</div>
				";
				$out = str_replace($find, $replace, $out);
			}
		}
		return $out;
	}
	// END


	// --------------------------------
	//  Activate Extension
	// --------------------------------

	function activate_extension()
	{
	    global $DB;

	    $hooks = array(
	    	'show_full_control_panel_end' => 'show_full_control_panel_end'
	    );

	    foreach($hooks as $hook => $method)
	    {
		    $DB->query($DB->insert_string('exp_extensions',
		    	array(
					'extension_id' => '',
			        'class'        => "entry_notifier",
			        'method'       => $method,
			        'hook'         => $hook,
			        'settings'     => '',
			        'priority'     => 10,
			        'version'      => $this->version,
			        'enabled'      => "y"
					)
				)
			);
	    }

	}
	// END


	// --------------------------------
	//  Update Extension
	// --------------------------------

	function update_extension($current='')
	{
	    global $DB;

	    if ($current == '' OR $current == $this->version)
	    {
	        return FALSE;
	    }

	    $DB->query("UPDATE exp_extensions
	                SET version = '".$DB->escape_str($this->version)."'
	                WHERE class = 'entry_notifier'");
	}
	// END


	// --------------------------------
	//  Disable Extension
	// --------------------------------

	function disable_extension()
	{
	    global $DB;

	    $DB->query("DELETE FROM exp_extensions WHERE class = 'entry_notifier'");

	}
	// END


}
// END CLASS